"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupEnvVariables = void 0;
const get_environment_js_1 = require("./get-environment.js");
const getEnvVariables = () => {
    if ((0, get_environment_js_1.getRemotionEnvironment)() === 'rendering') {
        const param = window.remotion_envVariables;
        if (!param) {
            return {};
        }
        return { ...JSON.parse(param), NODE_ENV: process.env.NODE_ENV };
    }
    if ((0, get_environment_js_1.getRemotionEnvironment)() === 'preview') {
        // For the Preview, we already set the environment variables in index-html.ts.
        // We just add NODE_ENV here.
        return {
            NODE_ENV: 'development',
        };
    }
    throw new Error('Can only call getEnvVariables() if environment is `rendering` or `preview`');
};
const setupEnvVariables = () => {
    const env = getEnvVariables();
    if (!window.process) {
        window.process = {};
    }
    if (!window.process.env) {
        window.process.env = {};
    }
    Object.keys(env).forEach((key) => {
        window.process.env[key] = env[key];
    });
};
exports.setupEnvVariables = setupEnvVariables;
